Bug 919442 - Review Request: R-Rsamtools - R interface to samtools
Summary: Review Request: R-Rsamtools - R interface to samtools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 913867
TreeView+ depends on / blocked
 
Reported: 2013-03-08 13:27 UTC by Tom "spot" Callaway
Modified: 2013-09-05 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-05 06:16:07 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2013-03-08 13:27:19 UTC
Spec URL: http://spot.fedorapeople.org/R-Rsamtools.spec
SRPM URL: http://spot.fedorapeople.org/R-Rsamtools-1.10.2-1.fc18.src.rpm
Description: 
This package provides an interface to the 'samtools', 'bcftools',
and 'tabix' utilities (see 'LICENCE') for manipulating SAM
(Sequence Alignment / Map), binary variant call (BCF) and
compressed indexed tab-delimited (tabix) files.

Fedora Account System Username: spot

Note: This package is needed to update R-rtracklayer (bz 913867)

Comment 1 Tom "spot" Callaway 2013-03-08 13:28:22 UTC
Oh, also note, because of the high versioned dependencies here, this will only end up in rawhide/f19 or higher.

Comment 2 Pierre-YvesChibon 2013-03-12 08:35:48 UTC
Going quickly through the spec, couple of questions/remarks:
- The Requires and BuildRequires can probably be cleaned up a little (I see R and R-devel in the BR for example)
- You use %{_bindir}/R but for all the other command you don't specify %{_bindir}, is that on purpose?

The rest of the spec looks fine, but I need to go through the sources and build the package before I approve it.

Comment 3 Tom "spot" Callaway 2013-04-01 15:26:16 UTC
- Dropped the %{_bindir}, just copy/pasted it from another R specfile.
- Dropped R from BuildRequires

New SPEC: http://spot.fedorapeople.org/R-Rsamtools.spec
SRPM URL: http://spot.fedorapeople.org/R-Rsamtools-1.10.2-2.fc18.src.rpm

Comment 4 Pierre-YvesChibon 2013-04-04 08:19:24 UTC
Spec is clean, sources seems fine, only two things:

a) scratch build fails on F19: http://kojipkgs.fedoraproject.org//work/tasks/193/5210193/build.log missing dependency on http://cran.r-project.org/web/packages/bitops/ apparently

b) the license tag says Artistics + LICENSE file which says MIT, but I wonder if that MIT isn't present only because of the samtools which is copied locally. Since we remove that copy, should the license tag in the spec file be simplified to Artistic only?

Comment 5 Tom "spot" Callaway 2013-04-05 18:15:03 UTC
Indeed. Addressed both those issues in -3 (along with fixing the samtools patch):

New SPEC: http://spot.fedorapeople.org/R-Rsamtools.spec
SRPM URL: http://spot.fedorapeople.org/R-Rsamtools-1.10.2-3.fc18.src.rpm
Koji F19 Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5218675

Comment 6 Pierre-YvesChibon 2013-04-05 20:13:45 UTC
All good then 

Sha1sum srpm:
f2b3ca150c71c034361561bf685c0553e158d9e0  Rsamtools_1.10.2.tar.gz
Sha1sum upstream:
f2b3ca150c71c034361561bf685c0553e158d9e0  Rsamtools_1.10.2.tar.gz


This package is APPROVED



For the record, there is already a new version available 1.12.0 part of the new bioconductor release but since all R packages will need a rebuild for R 3.0.0 I thought we could handle updates at the same time.

Comment 7 Tom "spot" Callaway 2013-04-08 20:06:35 UTC
New Package SCM Request
=======================
Package Name: R-Rsamtools 
Short Description: R interface to samtools
Owners: spot
Branches: f19
InitialCC:

Comment 8 Gwyn Ciesla 2013-04-08 20:16:06 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-04-08 20:54:41 UTC
R-Rsamtools-1.10.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/R-Rsamtools-1.10.2-3.fc19

Comment 10 Fedora Update System 2013-04-09 16:59:20 UTC
R-Rsamtools-1.10.2-3.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Tom "spot" Callaway 2013-04-22 14:27:15 UTC
Package Change Request
======================
Package Name: R-Rsamtools
New Branches: f18
Owners: spot
InitialCC:

Comment 12 Gwyn Ciesla 2013-04-22 16:19:27 UTC
Git done (by process-git-requests).

Comment 13 Pierre-YvesChibon 2013-09-05 06:15:20 UTC
ping ?

Comment 14 Pierre-YvesChibon 2013-09-05 06:16:07 UTC
apparently it's in and build and all, thus closing here.


Note You need to log in before you can comment on or make changes to this bug.